Skip to main content
POST
/
v1
/
mydids
/
papers
Upload document
curl --request POST \
  --url https://api.wavix.com/v1/mydids/papers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form did_ids=2321 \
  --form doc_attachment='@example-file' \
  --form doc_id=1
[
  {
    "id": 101,
    "allow_replace": false,
    "did_number": "+14062355770",
    "doc_content_type": "image/png",
    "doc_file_name": "user-id-card.png",
    "doc_type_id": 1,
    "status": "pending",
    "url": "https://api.wavix.com/v1/mydids/1001/papers/101"
  },
  {
    "id": 102,
    "allow_replace": true,
    "did_number": "+14062355771",
    "doc_content_type": "application/pdf",
    "doc_file_name": "driver-license.pdf",
    "doc_type_id": 2,
    "status": "approved",
    "url": "https://api.wavix.com/v1/mydids/1002/papers/102"
  }
]

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Body

multipart/form-data
did_ids
string
required

List of phone number IDs.

Example:

"2321"

doc_attachment
file
required

Document file to upload.

doc_id
enum<integer>
required

Specifies the type of document required to activate the phone number. Possible values are: 1 - Proof of identity, 2 - Proof of address, 3 - Proof of business registration.

Available options:
1,
2,
3

Response

Documents uploaded.

allow_replace
boolean

Indicates whether the document can be replaced.

Example:

false

did_number
string

Phone number the document applies to.

Example:

"+14062355770"

doc_content_type
string

MIME type of the document.

Example:

"image/png"

doc_file_name
string

Document file name.

Example:

"user-id-card.png"

doc_type_id
enum<integer>

Specifies the type of document required to activate the phone number. Possible values are: 1 - Proof of identity, 2 - Proof of address, 3 - Proof of business registration.

Available options:
1,
2,
3
id
integer

Document ID.

Example:

101

status
string

Document review status.

Example:

"pending"

url
string

URL to access the document.

Example:

"https://api.wavix.com/v1/mydids/1001/papers/101"